---
title: Online Sellers  *New*
slug: valueserp/search-api/searches/google/product-online-sellers
docTags: 
createdAt: 2024-08-03T11:00:15.050Z
---

# Google Product Online Sellers Parameters

<font color="#52c41a">`GET`</font>  `/search?search_type=sellers_online`

The Google Product Online Sellers Parameters are applicable when making a request with `search_type=sellers_online` to retrieve product online sellers results from the Product knowledge pannel for a given product ID and gpc ID. The product ID is specified in the `product_id`  parameter and  and gpc id is specificied in `gpc_id`. You should also specify a `location` parameter to geo-locate the request (locations can be retrieved via the [Locations API](https://docs.trajectdata.com/valueserp/locations-api/overview)).

Product details requests return a `variant_hash` which is a unique identifier used to get a variant-specific information for a product. You can use `variant_hash` in combination with `product_id` and `gpc_id` and request `sellers_online` to fetch variant-specific online sellers if available.

Google Product IDs and gpc IDs are returned by [Google Shopping search](https://docs.trajectdata.com/valueserp/search-api/results/google/shopping) requests.

:::hint{type="info"}
**Products & Location**
Google Product pages are highly location-sensitive so it is important that you specify a  `location`  that matches the location that was used to retrieve the `product_id`  in the original [Google Shopping search](https://docs.trajectdata.com/valueserp/search-api/searches/google/shopping) request. To ensure appropriate product details are returned, either `location` or `gl` and `hl` are required for `search_type=sellers_online`.
:::

![](https://api.archbee.com/api/optimize/_2H-bV01Fa8fCx9qd5d88/b-dO0Z0kNSv1fvi_XLlKQ_image.png "Google Product Sellers Online")



For example, to request product online sellers results for the product ID `2826726591980094389` and gpc\_id `2883234210698146338`  in the location  `United States` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.valueserp.com/search?api_key=demo&search_type=sellers_online&product_id=2826726591980094389&gpc_id=2883234210698146338&location=United+States
```

```curl
curl -L --get https://api.valueserp.com/search \
-d api_key="demo" \
-d product_id="12094323291759970870" \
-d search_type="product" \
-d product_type="sellers_online" \
-d location="United+States"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  product_id: "12094323291759970870",
  search_type: "product",
  product_type: "sellers_online",
  location: "United+States"
}

// make the http GET request
axios.get('https://api.valueserp.com"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'product_id': '12094323291759970870',
  'search_type': 'product',
  'product_type': 'sellers_online',
  'location': 'United+States'
}

# make the http GET request
api_result = requests.get('https://api.valueserp.com/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'product_id' => '12094323291759970870',
  'search_type' => 'product',
  'product_type' => 'sellers_online',
  'location' => 'United+States'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.valueserp.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google Product Online Sellers Parameters

The following parameters are available for all requests made when  `search_type=sellers_online` is supplied.

| *`Parameter`*     | *`Required`*        | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ----------------- | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`search_type`*   | <u>*`required`*</u> | Should be set to `search_type=sellers_online` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| *`product_id`*    | <u>*`required`*</u> | The Google Product ID to retrieve. Google Product IDs are returned by [Google Shopping search ](https://docs.trajectdata.com/valueserp/search-api/results/google/shopping)requests.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| *`gpc_id`*        | <u>*`required`*</u> | The Google Product GPC ID to retrieve. Google Product GPC IDs are returned by [Google Shopping search ](https://docs.trajectdata.com/valueserp/search-api/results/google/shopping)requests.<br />**Note**: For some products like medicines, Google Shopping page does not return a GPC ID. In those cases, `product_details` & `sellers_online` requests work by supplying the `product_id` value to BOTH `product_id` and `gpc_id`. Also, in such cases, **BOTH location + gl, hl & domain are required** (as opposed to either of those required in products containing a `gpc_id`)                                                                                                                                                                                                      |
| *`variant_hash`*  | *`optional`*        | The unique ID used to select and retrieve a product's variant information if available. Returned from [Google Product Details](https://docs.trajectdata.com/valueserp/search-api/results/google/product-details) request, found in `product_results.variants.values.variant_hash` when available. Use `variant_hash` in combination with `product_id` and `gpc_id` to request `sellers_online` for selected variants if available.                                                                                                                                                                                                                                                                                                                                                          |
| *`location`*      | *`optional`*        | Determines the geographic location in which the query is executed. You can enter any location as free-text, but if you choose one of the VALUE SERP [built-in locations ](https://docs.trajectdata.com/valueserp/locations-api/overview)then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location (note that this behaviour can be disabled via the `location_auto` parameter).<br />**Note:** Google Product requests are **highly** location-sensitive. It's important that you set a `location` parameter for the geographic location in which the `product_id` was found. **Either `location` or `gl` and `hl` are required to get correct product online sellers for the specific location.** |
| *`location_auto`* | *`optional`*        | If the `location` field is set to a VALUE SERP [built-in location ](https://docs.trajectdata.com/valueserp/locations-api/overview)from the [Locations API ](https://docs.trajectdata.com/valueserp/locations-api/overview), and `location_auto` is set to `true` (default) then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location. Valid values are `true` (default) to enable this behaviour or `false` to disable.                                                                                                                                                                                                                                                                            |
| *`uule`*          | *`optional`*        | The Google UULE parameter - use to pass through a custom `uule` parameter to Google. VALUE SERP automatically generates the `uule` when you use the `location` parameter but we allow you to overwrite it directly by specifying a `uule` directly.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| *`google_domain`* | *`optional`*        | The Google domain to use to run the search query. View the full list of supported `google_domain` values [here ](https://docs.trajectdata.com/valueserp/search-api/reference/google-domains). Defaults to `google.com` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| *`gl`*            | *`optional`*        | The `gl` parameter determines the Google country to use for the query. View the full list of supported `gl` values [here ](https://docs.trajectdata.com/valueserp/search-api/reference/google-countries). Defaults to `us` .<br />**Note:** **Either `location` or `gl` and `hl` are required to get correct product online sellers for the specific location.**                                                                                                                                                                                                                                                                                                                                                                                                                            |
| *`hl`*            | *`optional`*        | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/valueserp/search-api/reference/google-languages). Defaults to `en` .<br />**Note:** **Either `location` or `gl` and `hl` are required to get correct product online sellers for the specific location.**                                                                                                                                                                                                                                                                                                                                                                                                                           |
| *`page`*          | *`optional`*        | Determines the page of results to return, defaults to `1` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| *`max_page`*      | *`optional`*        | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/valueserp/search-api/pagination)docs for more information.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |

***

**Next Steps**
     [Google Product Online Sellers Results](https://docs.trajectdata.com/valueserp/search-api/results/google/product-online-sellers)
